Bug 879684 - (CVE-2012-5567) CVE-2012-5567 kronolith: Multiple XSS flaws in the portal blocks
CVE-2012-5567 kronolith: Multiple XSS flaws in the portal blocks
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121114,repor...
: Security
Depends On: 879686 879687
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 12:10 EST by Jan Lieskovsky
Modified: 2016-03-04 07:34 EST (History)
2 users (show)

See Also:
Fixed In Version: Kronolith 3.0.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 22:32:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-23 12:10:05 EST
A cross-site scripting (XSS) flaw was found in the way Kronolith, the Horde calendar application, sanitized content of certain event location parameters passed to month, monthlist and prevmonthlist application fields. A remote attacker could provide a specially-crafted URL that, when visited would lead to arbitrary HTML or webscript execution.

References:
[1] http://lists.horde.org/archives/announce/2012/000836.html
[2] https://github.com/horde/horde/blob/d3dda2d47fad7eb128a0091e732cded0c2601009/kronolith/docs/CHANGES

Refevant upstream patch:
[3] http://git.horde.org/horde-git/-/commit/d865c564beb6e98532880aa51a04a79f3311cd1e
Comment 1 Jan Lieskovsky 2012-11-23 12:11:37 EST
These issues affect the versions of kronolith package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

These issues affect the versions of the kronolith package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-11-23 12:12:41 EST
Created kronolith tracking bugs for this issue

Affects: fedora-all [bug 879686]
Affects: epel-all [bug 879687]
Comment 3 Jan Lieskovsky 2012-11-23 12:26:59 EST
CVE Request:
  http://www.openwall.com/lists/oss-security/2012/11/23/3
Comment 4 Jan Lieskovsky 2012-11-26 05:09:06 EST
The CVE identifier of CVE-2012-5567 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/11/23/7
Comment 5 Nick Bebout 2012-12-12 22:32:12 EST
Resolving as WONTFIX.  

We are working on packaging the new pear-based Horde, so this will eventually be fixed when that is finished.

Note You need to log in before you can comment on or make changes to this bug.